Skip to main content
GET
/
phone
/
search
cURL
curl --request GET \
  --url https://api.useanima.sh/v1/phone/search \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "phoneNumber": "<string>",
      "capabilities": {
        "sms": true,
        "mms": true,
        "voice": true
      },
      "region": "<string>",
      "monthlyCost": 123
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Query Parameters

countryCode
string
default:US

ISO 3166-1 alpha-2 country code to search in

Required string length: 2
areaCode
string

Filter results to a specific area code

capabilities
enum<string>[]

Required capabilities for the phone numbers

Communication capability type

Available options:
sms,
mms,
voice
limit
integer
default:10

Maximum number of results to return

Required range: 1 <= x <= 50

Response

200 - application/json

OK

Search results for available phone numbers

items
object[]
required

Array of available phone numbers matching the search criteria